Subject: Default compiler behaviour
From: [email-masked] (Gunther Ebert)

11 Sep 1997 23:34:45 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I don't understand this discussion at all. Actually, from the
OS' point of view, it doesn't matter which library is linked
in a program (either crtdll.dll or cygwin.dll), the program
is considered to be 'native Win32' in both cases (you don't need
another subsystem in order to run cygwin programs, do you?).
Which library should gcc link in per default?
Currently I have installed both the original b18 package and
the mingw32 package on my system. Each is installed in a
separate path, between which I can switch using the GCC_EXEC_PREFIX
environment variable:

      ..\
      |
      |---cygnus\
             |
             |----H-i386-cygwin32\<cygwin specific stuff>
             |
             |----H-i386-mingw32\<mingw32 specific stuff>
             |
             |----include\
             |       |
             |       |----g++\
             |
             |----windows32sdk\.....

Common parts like the Windows32 SDK or the C++ header files are
installed in another path which does not depend on the GCC_EXEC_PREFIX
setting. This installation works smoothly for me. The default
compiler behaviour depends just on the initial setting of the
GCC_EXEC_PREFIX environment variable, so you are free to choose
your favorite one.

Just an opinion,
Gunther
-- 

Gunther Ebert
iXOS Anwendungs-Software GmbH
Angerstrasse 40-42
D-04177 Leipzig

Phone : +49 341 48503-0
Fax   : +49 341 48503-99
E-mail: mailto:[email-masked]
www   : http://www.ixos-leipzig.de
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".